- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_linkagg – Manage link aggregation groups on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of link aggregation groups on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.
members - / required |  | List of members interfaces of the link aggregation group. The value can be single interface or list of interfaces.
mode - | Choices: on active passive Default: "yes" | Mode of the link aggregation group. A value of `on` will enable LACP. `active` configures the link to actively information about the state of the link, or it can be configured in `passive` mode ie. send link state information only when received them from another link.
name - / required |  | Name of the link aggregation group.
purge boolean | Choices: no ← yes | Purge link aggregation groups not defined in the aggregate parameter.
state - | Choices: present ← absent up down | State of the link aggregation group.

## Examples

    - name: configure link aggregation group
      onyx_linkagg:
        name: Po1
        members:
          - Eth1/1
          - Eth1/2

    - name: remove configuration
      onyx_linkagg:
        name: Po1
        state: absent

    - name: Create aggregate of linkagg definitions
      onyx_linkagg:
        aggregate:
            - { name: Po1, members: [Eth1/1] }
            - { name: Po2, members: [Eth1/2] }

    - name: Remove aggregate of linkagg definitions
      onyx_linkagg:
        aggregate:
          - name: Po1
          - name: Po2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 1', 'exit', 'interface ethernet 1/1 channel-group 1 mode on', 'interface ethernet 1/2 channel-group 1 mode on']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.